# get list of ords
def version_in_home(home)
  version_data = Facter::Core::Execution.execute("java -jar #{home}/ords.war version")
  version_data.scan(/Oracle REST Data Services (.*).r.(.*)/)
end

Facter.add('ords_homes') do
  setcode do
    homes = File.read('/etc/ords_homes').split
    data = {}
    homes.collect do |home|
      version_data = version_in_home(home).flatten
      data[home] = {}
      data[home]['version'] = version_data[0]
      data[home]['release'] = version_data[1]
    end
    data
  rescue Errno::ENOENT
    {}
  end
end
